function dYfuncvecdW = ODEfun(W,Yfuncvec); 
Ta= Yfuncvec(1);
y= Yfuncvec(2);
T= Yfuncvec(3);
X= Yfuncvec(4);
% Explicit equations
alpha = .0002;
To = 330;
Uarho = 0.5;
Mc = 1000;
Cpmc = 18;
Hr = -20000;
Fao = 5;
thetaI = 1;
CpI = 40;
CpA = 20;
thetaB = 1;
CpB = 20;
Cto = 0.3;
Ea = 25000;
Kc = 1000*(exp(Hr/1.987*(1/303-1/T)));
ka = .004*exp(Ea/1.987*(1/310-1/T));
yao = 1/(1+thetaB+thetaI);
xe = Kc^0.5/(2+Kc^0.5);
Cao = yao*Cto;
sumcp = (thetaI*CpI+CpA+thetaB*CpB);
Ca = Cao*(1-X)*y*To/T;
Cb = Cao*(1-X)*y*To/T;
Cc = Cao*2*X*y*To/T;
ra = -ka*(Ca*Cb-Cc^2/Kc);
% Differential equations
dTadW = Uarho*(T-Ta)/(Mc*Cpmc);
dydW = -alpha/2*(T/To)/y;
dTdW = (Uarho*(Ta-T)+(-ra)*(-Hr))/(Fao*sumcp);
dXdW = -ra/Fao;
dYfuncvecdW=[dTadW;dydW;dTdW;dXdW];


